Get Campaigns List
curl --request POST \
--url https://public.plai.io/meta/get_campaigns_list \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://public.plai.io/meta/get_campaigns_list"
payload = { "userId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://public.plai.io/meta/get_campaigns_list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"campaigns": [
{
"id": "<string>",
"name": "<string>",
"objective": "<string>",
"daily_budget": "<string>",
"status": "<string>",
"issues_info": "<string>",
"created_time": "<string>"
}
],
"error": "<string>"
}
}Campaign
Get Campaigns List
This endpoint is used to fetch list of all campaigns.
POST
/
meta
/
get_campaigns_list
Get Campaigns List
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).
object
Show Results Object
Show Results Object
boolean
Indicates whether the specific operation or API action was successful.
object[]
string
Error string if something went wrong